#!/usr/bin/env python3

import os
import apsecret


def main():
    apsecret.update_secret_cache('ACRConnectionData')
    connection_string = apsecret.get_secret_from_cache('ACRConnectionData')
    if connection_string == "":
        print("ERROR: Unable to retrieve acr secret")
        sys.exit(1)

    # connection_string is expected to be stored in 'CLIENT_ID\CLIENT_KEY' format
    parts = connection_string.split('\\')
    if len(parts) != 2:
        print("ERROR: Unexpected format for acr secret. Must be stored in keyvault as CLIENT_ID\CLIENT_KEY")
        sys.exit(2)

    print(parts[0])
    print(parts[1])


if __name__ == '__main__':
    main()
